- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 67285d29-fabf-4fd7-8c17-b1d2e57a9e80
    creation_time: 2023-02-17T12:05:35.438114Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/linear-inequality-inv-a.c
      input_file_hashes:
        c/loop-invariants/linear-inequality-inv-a.c: e6ceef81d5d5c6ec4b435ae3bf6300a70928e11f3a8c1d376463323495e50f12
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/linear-inequality-inv-a.c
    file_hash: e6ceef81d5d5c6ec4b435ae3bf6300a70928e11f3a8c1d376463323495e50f12
    line: 12
    column: 0
    function: main
  loop_invariant:
    string: v <= s && s <= 255*i && i <= n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 51554a33-7f18-4c2f-a044-687bff44e7fe
    creation_time: 2023-02-17T12:05:35.438385Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/linear-inequality-inv-a.c
      input_file_hashes:
        c/loop-invariants/linear-inequality-inv-a.c: e6ceef81d5d5c6ec4b435ae3bf6300a70928e11f3a8c1d376463323495e50f12
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/linear-inequality-inv-a.c
    file_hash: e6ceef81d5d5c6ec4b435ae3bf6300a70928e11f3a8c1d376463323495e50f12
    line: 17
    column: 0
    function: main
  location_invariant:
    string: v <= s && s <= 65025
    type: assertion
    format: C

